package javax.annotation.processing;

import java.lang.annotation.Annotation;
import javax.lang.model.element.TypeElement;
import javax.lang.model.element.Element;
import java.util.Set;

public interface RoundEnvironment
{
    public abstract boolean processingOver();
    
    public abstract boolean errorRaised();
    
    public abstract Set<? extends Element> getRootElements();
    
    public abstract Set<? extends Element> getElementsAnnotatedWith(TypeElement p0);
    
    public abstract Set<? extends Element> getElementsAnnotatedWith(Class<? extends Annotation> p0);
}
